/*
	Copyright (C) 2025  snoutie
	Authors: snoutie (copyright@achtarmig.org)
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU Affero General Public License as published
	by the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Affero General Public License for more details.

	You should have received a copy of the GNU Affero General Public License
	along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

package database

import (
	"database/sql"
	_ "embed"
	"fmt"

	_ "github.com/glebarez/go-sqlite"
)

type database struct {
	*sql.DB
}

const (
	database_path = "./db.sqlite"
)

var DB database

//go:embed sql/create_tables.sql
var create_tables string

func Load() {
	db, err := sql.Open("sqlite", database_path+"?_pragma=busy_timeout(5000)&foreign_keys(1)")
	if err != nil {
		panic(err)
	}

	_, err = db.Exec(create_tables)
	if err != nil {
		fmt.Println(err)
	}

	DB.DB = db
}
