package main

import (
	"api-cds-search/cmd/database"
	"api-cds-search/cmd/router"
	"api-cds-search/cmd/search"
	"api-cds-search/cmd/ui"
	"api-cds-search/cmd/view"
	"fmt"
	"net/http"

	"code.achtarmig.org/pas/ui/initialize"
	"code.achtarmig.org/pas/ui/log"
)

func main() {
	initialize.Init()

	database.Load()

	err := search.Load()
	if err != nil {
		panic(err)
	}

	ui.Load()
	view.Load()
	log.SetPrintError(true)

	r := router.Load()

	fmt.Println("Listening on :8080")
	http.ListenAndServe(":8080", r)
}
